Summary:   Install packages needed for yum repository
Name:      uln-yum-proxy
Version:   0.0.4
Release:   1%{?dist}
License:   Oracle
Group:     System Environment/Base
Vendor:    Oracle USA
URL:       http://linux.oracle.com/
BuildArch: noarch
Source0:   rpm-gpg-key.tar.gz
BuildRoot: /tmp/uln-yum-proxy

%if 0%{?rhel} >= 5
%define yum_arch_pkg yum-arch
%else
%define yum_arch_pkg yum
%endif

Requires:  httpd
Requires:  python-urlgrabber
Requires:  createrepo
Requires:  %yum_arch_pkg

%description
Package to resolve package dependencies for creating yum repositories.

%prep
%setup -c

%build

%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf "${RPM_BUILD_ROOT}"
mkdir -p "${RPM_BUILD_ROOT}/usr/share/rhn"
cp RPM-GPG-KEY-4 ${RPM_BUILD_ROOT}/usr/share/rhn/
cp RPM-GPG-KEY-5 ${RPM_BUILD_ROOT}/usr/share/rhn/
cp RPM-GPG-KEY-6 ${RPM_BUILD_ROOT}/usr/share/rhn/

%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf "${RPM_BUILD_ROOT}"

%files
%defattr(644, root, root)
/usr/share/rhn/RPM-GPG-KEY-4
/usr/share/rhn/RPM-GPG-KEY-5
/usr/share/rhn/RPM-GPG-KEY-6

%pre

%post
# Install EL4 RPM-GPG-KEY if needed
rpm -q gpg-pubkey-b38a8516-44fd79eb >/dev/null 2>&1 || \
  rpm --import /usr/share/rhn/RPM-GPG-KEY-4
# Install EL5 RPM-GPG-KEY if needed
rpm -q gpg-pubkey-1e5e0159-464d0428 >/dev/null 2>&1 || \
  rpm --import /usr/share/rhn/RPM-GPG-KEY-5
# Install OL6 RPM-GPG-KEY if needed
rpm -q gpg-pubkey-ec551f03-4c2d256a >/dev/null 2>&1 || \
  rpm --import /usr/share/rhn/RPM-GPG-KEY-6

%changelog
* Wed Feb 16 2011 Jared Greenwald <jared.greenwald@oracle.com>
- Update for Oracle Linux channels (including OL6)
* Fri Feb 15 2008 Akira Ijuin <akira.ijuin@oracle.com>
- Import RPM-GPG-KEY for EL4/5 as needed.
* Wed Dec 12 2007 Akira Ijuin <akira.ijuin@oracle.com>
- Make this build on EL4.
* Wed Dec 05 2007 Akira Ijuin <akira.ijuin@oracle.com>
- Remove README.  Add support for EL5.
* Wed Jan 17 2007 Akira Ijuin <akira.ijuin@oracle.com>
- Add yum to required packages.
* Thu Nov 09 2006 Akira Ijuin <akira.ijuin@oracle.com>
- Initial version

